
QGIS Application - Bug report #18631

QGIS 3: kml file save as crashed

2018-04-04 09:31 PM - Barbara Werth

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Data Provider/OGR

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 26519

Description

Hi,

this is my first report, so I hope I do everything ok.

User Feedback

1.) try to edit a kml file

2.) add a new point in the kml file seems not work (save kml)

3.) reload the project => kml can not load

4.) try to save kml as another filetype => QGIS crashed bevor the dialog was opend

Report Details

Crash ID: 2a6dd7f314022691490d798d4bb4dcbfcddfcd16

Stack Trace

CPLStringList::FindString :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::erase :

QgsVectorLayer::extent :

QgsVectorLayerSaveAsDialog::QgsVectorLayerSaveAsDialog :

QgisApp::saveAsVectorFileGeneral :

QgisApp::saveAsFile :

QgisApp::qt_static_metacall :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :
qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QgsLayerTreeView::contextMenuEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-04-04 10:04 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you attach the kml?

#2 - 2018-04-05 12:09 PM - Barbara Werth

- Status changed from Feedback to Open

- File Bergen - Bryggen.kml added

Hi,

yes of course. I originally created the kml file with google earth. It is for my vacation planning. Now I want to do this with QGIS :)
P.S .: I changed the status from Feedback to Open. Hope this is okay.

#3 - 2018-06-05 04:09 AM - Nyall Dawson

- Category changed from Processing/QGIS to Data Provider/OGR

#4 - 2018-09-21 10:48 PM - Even Rouault

- Resolution set to up/downstream

- Status changed from Open to Closed

- Assignee changed from Victor Olaya to Even Rouault

Couldn't reproduce crashes, but edition of KML file didn't work at all.

Fixed upstream in GDAL:

master:

https://github.com/OSGeo/gdal/commit/3c7ae8e9f718af82c06f9abd98a1a8b46c413af7

https://github.com/OSGeo/gdal/commit/799b1a756b1324a9984d2439166cb8d247d194e4

release/2.3:

https://github.com/OSGeo/gdal/commit/b5d04c21b97f6a93c1345b878c4e6e301f9ece63

https://github.com/OSGeo/gdal/commit/4a26bd1036d2678824d6cf3fed488a451c9d6803

Files

Bergen - Bryggen.kml 1.47 KB 2018-04-05 Barbara Werth

2025-06-13 3/3

https://github.com/OSGeo/gdal/commit/3c7ae8e9f718af82c06f9abd98a1a8b46c413af7
https://github.com/OSGeo/gdal/commit/799b1a756b1324a9984d2439166cb8d247d194e4
https://github.com/OSGeo/gdal/commit/b5d04c21b97f6a93c1345b878c4e6e301f9ece63
https://github.com/OSGeo/gdal/commit/4a26bd1036d2678824d6cf3fed488a451c9d6803

